Name:          link-grammar
Version:       5.10.4
Release:       1mamba
Summary:       A syntactic parser of English, Russian, Arabic and Persian (and other languages as well)
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.abisource.com/projects/link-grammar/
Source:        http://www.abisource.com/downloads/link-grammar/%{version}/link-grammar-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libedit-devel
BuildRequires: libgcc
BuildRequires: libhunspell-devel
BuildRequires: libpcre2-devel
BuildRequires: libpython3-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: jpackage-utils
BuildRequires: libedit-devel >= 3.1_20130712
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The Link Grammar Parser is a syntactic parser of English, Russian, Arabic and Persian (and other languages as well), based on link grammar, an original theory of English syntax. Given a sentence, the system assigns to it a syntactic structure, which consists of a set of labelled links connecting pairs of words. The parser also produces a "constituent" (Penn tree-bank style phrase tree) representation of a sentence (showing noun phrases, verb phrases, etc.). The RelEx extension provides dependency-parse output.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-java
Group:         System/Libraries
Summary:       Java libraries for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-java
This package contains the Java libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name}-java = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure \
   PYTHON=%{__python3}
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/link-parser
%{_bindir}/link-generator
%dir %{_datadir}/link-grammar/ady
%{_datadir}/link-grammar/ady/*
%dir %{_datadir}/link-grammar/amy
%{_datadir}/link-grammar/amy/*
%dir %{_datadir}/link-grammar/any/
%{_datadir}/link-grammar/any/*
%dir %{_datadir}/link-grammar/kz
%{_datadir}/link-grammar/kz/*
%dir %{_datadir}/link-grammar/vn
%{_datadir}/link-grammar/vn/*
%lang(ar) %dir %{_datadir}/link-grammar/ar/
%lang(ar) %{_datadir}/link-grammar/ar/*
%lang(de) %dir %{_datadir}/link-grammar/de
%lang(de) %{_datadir}/link-grammar/de/*
%dir %{_datadir}/link-grammar/en
%{_datadir}/link-grammar/en/*
%{_datadir}/link-grammar/command-help-en.txt
%lang(fa) %dir %{_datadir}/link-grammar/fa
%lang(fa) %{_datadir}/link-grammar/fa/*
%lang(he) %dir %{_datadir}/link-grammar/he
%lang(he) %{_datadir}/link-grammar/he/*
%lang(id) %{_datadir}/link-grammar/id/*
%lang(lt) %dir %{_datadir}/link-grammar/lt
%lang(lt) %{_datadir}/link-grammar/lt/*
%lang(ru) %dir %{_datadir}/link-grammar/ru
%lang(ru) %{_datadir}/link-grammar/ru/*
%lang(th) %dir %{_datadir}/link-grammar/th
%lang(th) %{_datadir}/link-grammar/th/*
%lang(tr) %dir %{_datadir}/link-grammar/tr
%lang(tr) %{_datadir}/link-grammar/tr/*
%{_mandir}/man1/link-parser.1*
%{_mandir}/man1/link-generator.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblink-grammar.so.*
%dir %{python3_sitelib}/linkgrammar
%{python3_sitelib}/linkgrammar/*
%{python3_sitelib}/linkgrammar.pth
%ifarch x86_64 aarch64
%dir %{python3_sitearch}/linkgrammar
%{python3_sitearch}/linkgrammar/*
%endif
%doc AUTHORS LICENSE

%files -n lib%{name}-java
%defattr(-,root,root)
%{_libdir}/liblink-grammar-java.so.*
%{_datadir}/java/linkgrammar-%{version}.jar
%{_datadir}/java/linkgrammar.jar

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/link-grammar
%{_includedir}/link-grammar/*.h
%{_libdir}/liblink-grammar-java.a
%{_libdir}/liblink-grammar-java.la
%{_libdir}/liblink-grammar-java.so
%{_libdir}/liblink-grammar.a
%{_libdir}/liblink-grammar.la
%{_libdir}/liblink-grammar.so
#%{_libdir}/libminisat.a
#%{_libdir}/libminisat.la
#%{_libdir}/libminisat.so
#%{_libdir}/libsat-solver.a
#%{_libdir}/libsat-solver.la
#%{_libdir}/libsat-solver.so
%dir %{_datadir}/link-grammar/demo-sql
%{_datadir}/link-grammar/demo-sql/*
%{_libdir}/pkgconfig/link-grammar.pc
#%{_mandir}/man1/link-parser.1*
#%doc ChangeLog README TODO

%changelog
* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 5.10.4-1mamba
- automatic version update by autodist

* Mon Feb 21 2022 Automatic Build System <autodist@mambasoft.it> 5.10.3-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 5.10.2-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- automatic version update by autodist

* Sat Jun 23 2018 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.4.4-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 5.4.3-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Automatic Build System <autodist@mambasoft.it> 5.3.15-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 5.3.9-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 5.3.7-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.3-3mamba
- moved %{_datadir} files from lib to main package

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.3-2mamba
- move libminisat.so.* from -java to lib package

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 5.3.3-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 5.1.3-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 4.8.6-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.14-1mamba
- package created by silvan using the webbuild interface
